<bugID>380801<Summary>crash on startup when doing forced db migration</Summary><Description>crash on startup when doing forced db migration.

the problem is with code in nsNavHistory::ForceMigrateBookmarksDB() that will fail if we can't drop the moz_bookmarks_folders table.

this could fail if the table doesn't exist.  (and it doesn't exist anymore, now that bug #379986 has landed).

when ForceMigrateBookmarksDB() fails, the nsNavHistory::Init() will fail, and the later we'll crash in nsPlacesImportExportService::nsPlacesImportExportService().

I think we should do a DROP TABLE IF EXISTS instead of DROP TABLE for the tables we attempt to migrate.</Description></bugID>